Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.logger
Interface Logger

All Known Implementing Classes:
  AbstractLogger

public interface Logger

This class must be implemented by the services that implement logging capabilities.

Version:
  $Revision: 1.1 $ $Date: 2000/03/17 16:46:02 $
Author:
  Stefano Mazzocchi

Field Summary
`static int` | `CRITICAL`
`static int` | `DEBUG`
`static int` | `EMERGENCY`
`static int` | `ERROR`
`static int` | `INFO`
`static int` | `WARNING`

Method Summary
`int` | `getLevel()`
`void` | `log(java.lang.Exception exception, java.lang.String message, int level)`
`void` | `log(java.lang.Object originator, java.lang.Exception exception, java.lang.String message, int level)`
`void` | `log(java.lang.Object originator, java.lang.String message, int level)`
`void` | `log(java.lang.String message, int level)`

Field Detail

### EMERGENCY

    public static final int EMERGENCY

### CRITICAL

    public static final int CRITICAL

### ERROR

    public static final int ERROR

### WARNING

    public static final int WARNING

### INFO

    public static final int INFO

### DEBUG

    public static final int DEBUG

Method Detail

### getLevel

    public int getLevel()

### log

    public void log(java.lang.String message,
                    int level)

### log

    public void log(java.lang.Exception exception,
                    java.lang.String message,
                    int level)

### log

    public void log(java.lang.Object originator,
                    java.lang.String message,
                    int level)

### log

    public void log(java.lang.Object originator,
                    java.lang.Exception exception,
                    java.lang.String message,
                    int level)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.